Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.evaluators
Class EvaluateTrue

    java.lang.Object
      |
      +--weblogic.event.evaluators.EvaluateTrue

public class EvaluateTrue
extends java.lang.Object
implements EvaluateDef

Class for evaluating an event. This simple evaluator always returns true.

Author:
  Copyright (c) 1996, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`EvaluateTrue()`

Method Summary
`boolean` | `evaluate(EventMessageDef ev)` Evaluates to true.
`void` | `registerInit(ParamSet params)` Registers a set of parameters for an Evaluate object.
`void` | `setServices(T3ServicesDef services)` Saves the services object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluateTrue

    public EvaluateTrue()

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Saves the services object.
  Specified by:
    setServices in interface EvaluateDef

  Parameters:
    `services` - T3ServicesDef object

### registerInit

    public void registerInit(ParamSet params)
                      throws ParamSetException

  Registers a set of parameters for an Evaluate object.
  Specified by:
    registerInit in interface EvaluateDef

  Parameters:
    `params` - ParamSet object
  Throws:
    ParamSetException - if there is an error in the parameters

### evaluate

    public boolean evaluate(EventMessageDef ev)
                     throws ParamSetException

  Evaluates to true.
  Specified by:
    evaluate in interface EvaluateDef

  Parameters:
    `ev` - EventMessage object
  Returns:
    true
  Throws:
    ParamSetException - if there is an error in the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD